<?php

/** @noinspection PhpUndefinedMethodInspection */

namespace DefStudio\GameEngine\Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class TeamFactory extends Factory
{
    public function modelName(): string
    {
        return \game_engine()->teamClass();
    }

    public function definition(): array
    {
        return [
            'name' => fake()->sentence(),
            'organization_id' => game_engine()->organizationClass()::factory(),
        ];
    }
}
